org.apache.commons.math3.exception

## Class MaxCountExceededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.commons.math3.exception.MathIllegalStateException
          - - org.apache.commons.math3.exception.MaxCountExceededException

All Implemented Interfaces:
  Serializable, ExceptionContextProvider

Direct Known Subclasses:
  TooManyEvaluationsException, TooManyIterationsException

    public class MaxCountExceededException
    extends MathIllegalStateException

Exception to be thrown when some counter maximum value is exceeded.

Since:
  3.0
Version:
  $Id: MaxCountExceededException.java 1364378 2012-07-22 17:42:38Z tn $
See Also:
  Serialized Form

### Field Summary

Fields
`private Number` `max` Maximum number of evaluations.
`private static long` `serialVersionUID` Serializable version Id.

### Constructor Summary

Constructors
Constructor and Description
`MaxCountExceededException(Localizable specific, Number max, Object... args)` Construct the exception with a specific context.
`MaxCountExceededException(Number max)` Construct the exception.

### Method Summary

Methods
`Number` `getMax()`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version Id.

See Also:
  Constant Field Values

#### max

    private final Number max

Maximum number of evaluations.

### Constructor Detail

#### MaxCountExceededException

    public MaxCountExceededException(Number max)

Construct the exception.

Parameters:
  `max` - Maximum.

#### MaxCountExceededException

    public MaxCountExceededException(Localizable specific,
                             Number max,
                             Object... args)

Construct the exception with a specific context.

Parameters:
  `specific` - Specific context pattern.
  `max` - Maximum.
  `args` - Additional arguments.

### Method Detail

#### getMax

    public Number getMax()

Returns:
  the maximum number of evaluations.